System.ServiceModel 4.0.0.0 System.Enum

When creating a indigo1 application that requires authentication and/or authorization of the callers, you can specify that events related to security be recorded for either success, failure, or both. The level of auditing is determined by this enumeration.

The location of the audit log is specified by setting the property of the class to one of the values.

For more information about auditing, see Auditing Security Events.

You can also specify audit behavior using the serviceSecurityAudit element binding.

Specifies when to audit security events.

- Field
  4.0.0.0
  System.ServiceModel.AuditLevel

  Only failed security-related events will be recorded.

- Field
  4.0.0.0
  System.ServiceModel.AuditLevel

  No events will be recorded. This is the default.

- Field
  4.0.0.0
  System.ServiceModel.AuditLevel

  Only successful security-related events will be recorded.

- Field
  4.0.0.0
  System.ServiceModel.AuditLevel

  Both failed and successful security-related events will be recorded.